jQuery(function($) {
    
    // Header fix on scroll
      jQuery(window).on("scroll", function () {
        var scrollTop = jQuery(window).scrollTop();
        if (scrollTop > 100) {
          jQuery("#header").addClass("fixed");
        } else {
          jQuery("#header").removeClass("fixed");
        }
      });


    
            
      jQuery(".navbar_toggle").on('click', function () {
        jQuery('body').addClass('nav_open');
      });
        
      jQuery(".closeNav").on('click', function () {
        jQuery('body').removeClass('nav_open');
      });
 



      // Smooth scrolling & Active link switching
      jQuery(document).ready(function () {
        var scrollLink = jQuery('.page-scroll');
        scrollLink.click(function (e) {
            jQuery(".page-scroll.active").removeClass("active");
            jQuery(this).addClass("active");
          e.preventDefault();
          jQuery('body,html').animate({
            scrollTop: jQuery(this.hash).offset().top - 100
          }, 300);
        });
      });
    
    

    
});



const images = document.querySelectorAll('img[data-src]');
const config = {
  rootMargin: '50px 0px',
  threshold: 0.01
};

let observer;

if ('IntersectionObserver' in window) {
  observer = new IntersectionObserver(onChange, config);
  images.forEach(img => observer.observe(img));
} else {
  console.log('%cIntersection Observers not supported', 'color: red');
  images.forEach(image => loadImage(image));
}

const loadImage = image => {
  image.classList.add('fade-in');
  image.src = image.dataset.src;
}

function onChange(changes, observer) {
  changes.forEach(change => {
    if (change.intersectionRatio > 0) {
      // Stop watching and load the image
      loadImage(change.target);
      observer.unobserve(change.target);
    }

  });
}
